Files
apfstests/tests/xfs/003
T
Darrick J. Wong a860a167d8 common: kill _supported_os
fstests only supports Linux, so get rid of this unnecessary predicate.

Signed-off-by: Darrick J. Wong <darrick.wong@oracle.com>
Reviewed-by: Christoph Hellwig <hch@lst.de>
Signed-off-by: Eryu Guan <guaneryu@gmail.com>
2020-09-21 01:16:50 +08:00

69 lines
1.4 KiB
Bash
Executable File

#! /bin/bash
# SPDX-License-Identifier: GPL-2.0
# Copyright (c) 2000-2001 Silicon Graphics, Inc. All Rights Reserved.
#
# FS QA Test No. 003
#
# exercise xfs_db bug #784078
#
seq=`basename $0`
seqres=$RESULT_DIR/$seq
echo "QA output created by $seq"
# get standard environment, filters and checks
. ./common/rc
. ./common/filter
tmp=/tmp/$$
here=`pwd`
status=0 # success is the default!
trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
# real QA test starts here
_supported_fs xfs
_require_test
[ -f core ] && rm -f core
[ -f core ] && echo "Warning: can't nuke existing core file!"
test_done()
{
sts=$?
[ -f core ] && echo "FAILED - core file"
[ ! -f core -a $sts != 0 ] && echo "FAILED - non-zero exit status"
rm -f core
}
# real QA test starts here
echo "=== TEST 1 ==="
_test_xfs_db -r -c 'pop' -c 'type sb'
test_done
echo "=== TEST 2 ==="
_test_xfs_db -r -c 'push sb'
test_done
echo "=== TEST 3 ==="
_test_xfs_db -r -c 'pop' -c 'push sb'
test_done
echo "=== TEST 4 ==="
_test_xfs_db -r -c 'type sb' -c 'print'
test_done
echo "=== TEST 5 ==="
_test_xfs_db -r -c 'inode 128' -c 'push' -c 'type' >$tmp.out 2>&1
test_done
if ! grep -q "current type is \"inode\"" $tmp.out; then
cat $tmp.out
fi
echo "=== TEST 6 ==="
_test_xfs_db -r -c 'sb' -c 'a' >$tmp.out 2>&1 # don't care about output
test_done
echo "=== TEST 7 ==="
_test_xfs_db -r -c 'ring'
test_done